Inbox and fans
Update fan personal details
Update stored personal details for one creator-fan relationship, such as name, interests, location or financial notes. Supply only fields intended to change.
PATCH
/v1/agencies/{agencyId}/creators/{creatorId}/fans/{fanId}/personal-detailsUpdate stored personal details for one creator-fan relationship, such as name, interests, location or financial notes. Supply only fields intended to change.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
fanId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/creators/string/fans/string/personal-details" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "enabled": true, "creatorId": "string", "createdAt": "2019-08-24T14:15:22Z", "fanId": "string", "name": null, "age": null, "birthday": null, "job": null, "hobbies": null, "interests": null, "fan_place": null, "nickname": null, "isFemale": null, "family_information": null, "friends_information": null, "origins": null, "likes": null, "dislikes": null, "dick_size": null, "dreams": null, "payday": null, "salary": null, "notes": "string", "language": null, "timezone": null, "aiDisabledAt": null, "aiDisabledByEmployeeId": null, "handoffRequestedAt": null, "handoffResolvedAt": null, "handoffResolvedByEmployeeId": null, "lastSentMessageAt": null, "lastFanReplyAt": null, "chatInboxId": null, "updatedAt": "2019-08-24T14:15:22Z", "chatId": null }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}